Package org.tanukisoftware.wrapper.test

# Class LongRunningBackgroundThreads

java.lang.Object
org.tanukisoftware.wrapper.test.LongRunningBackgroundThreads

All Implemented Interfaces:
  `Runnable`

public class LongRunningBackgroundThreads extends Object implements Runnable
Test case which launched several threads and lets them run for 30 seconds.

## Constructor Summary

Constructors
Constructor
Description
`LongRunningBackgroundThreads()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LongRunningBackgroundThreads

public LongRunningBackgroundThreads()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### main

public static void main(String[] args)